echo " --- setup-vagrant.sh ---"

rm -rf ~/jupyter-openbis-extension/venv
rm -rf ~/jupyter-openbis-extension/jupyter_openbis_extension.egg-info
rm -rf ~/jupyter-openbis-extension/.ipynb_checkpoints

build="http://stage-jenkins.ethz.ch:8090/job/installation-18.06/lastSuccessfulBuild"
path=$(curl -s "$build/api/xml?xpath=//relativePath"|sed -e "s/<relativePath>//"|sed -e "s/<\/relativePath>//")
wget -q $build/artifact/$path
archive=$(basename $path)
tar xvfz $archive
directory=$(echo "$archive" | cut -f 1 -d '.')
cp /files/console.properties $directory
export ADMIN_PASSWORD='password'
$directory/run-console.sh

sed -i "/jetty.ssl.port=/ s/=.*/=8122/" /home/vagrant/openbis/servers/openBIS-server/jetty/start.d/ssl.ini
sed -i "/host-address =/ s/=.*/= https:\/\/localhost/" /home/vagrant/openbis/servers/datastore_server/etc/service.properties
sed -i "/port =/ s/=.*/= 8123/" /home/vagrant/openbis/servers/datastore_server/etc/service.properties
sed -i "/server-url =/ s/=.*/= \${host-address}:8122/" /home/vagrant/openbis/servers/datastore_server/etc/service.properties

rm -rf ~/openBIS-installation-*

mkdir ~/.jupyter
cp /files/jupyter_notebook_config.py ~/.jupyter

cd jupyter-openbis-extension
pip3 install -e .
export PATH=$PATH:/home/vagrant/.local/bin
pip3 install --upgrade pybis
pip3 install 'tornado==5.1.1' --force-reinstall 
jupyter serverextension enable --py jupyter-openbis-extension
jupyter nbextension install --py jupyter-openbis-extension --user --symlink
jupyter nbextension enable jupyter-openbis-extension --user --py
cd

mkdir -p /home/vagrant/dss_root/incoming-default
for i in $(seq 1 100); do touch /home/vagrant/dss_root/incoming-default/dataset${i}.txt; done
